> For the complete documentation index, see [llms.txt](https://docs.wisej.com/hybrid/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/hybrid/start/api/ui/wisej.hybrid.devicecolors.md).

# DeviceColors

Namespace: **Wisej.Hybrid**

Assembly: **Wisej.Hybrid** (3.5.0.0)

* [DeviceInfoBase](/hybrid/start/api/general/wisej.hybrid.core.deviceinfobase.md)
  * [DeviceColors](/hybrid/start/api/ui/wisej.hybrid.devicecolors.md)

Provides information about system colors.

{% tabs %}
{% tab title="C#" %}

```csharp
public class DeviceColors : DeviceInfoBase
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class DeviceColors
    Inherits DeviceInfoBase
```

{% endtab %}
{% endtabs %}

Access this class through the [Device](/hybrid/start/api/general/wisej.hybrid.device.md) singleton.

## Constructors

### ![](/files/CCV9PPenlC1YZvNh1I6R)DeviceColors()

Creates a new instance of [DeviceColors](/hybrid/start/api/ui/wisej.hybrid.devicecolors.md).

## Properties

### ![](/files/CCV9PPenlC1YZvNh1I6R)SystemBackground

[Color](https://docs.microsoft.com/dotnet/api/system.drawing.color): Returns the device's system background color.

## Methods

### ![](/files/CCV9PPenlC1YZvNh1I6R)OnWebUpdate(info)

Updates the info configuration.

| Parameter | Type                                                          | Description             |
| --------- | ------------------------------------------------------------- | ----------------------- |
| **info**  | [Object](https://docs.microsoft.com/dotnet/api/system.object) | The info configuration. |

## Events

### ![](/files/CCV9PPenlC1YZvNh1I6R)ColorsChanged

[EventHandler](https://docs.microsoft.com/dotnet/api/system.eventhandler) Fires when device colors change.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/hybrid/start/api/ui/wisej.hybrid.devicecolors.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
